<template>
  <div class="container">
    <div class="infos">
      <h2>{{ timer.timer }} seconds</h2>
      <p>{{ timer.date.toLocaleString("pt-BR") }}</p>
    </div>
    <div class="handlers">
      <font-awesome-icon class="icon" @click="deleteTimer" icon="trash-alt" />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    timer: Object,
  },
  methods: {
    deleteTimer() {
      this.$emit("delete-timer", this.timer.id);
    },
  },
};
</script>

<style scoped>
.container {
  background-color: rgba(0, 0, 255, 0.1);
  display: grid;
  grid-template-columns: 4fr 1fr;
  padding: 20px;
  border-radius: 10px;
}

.infos {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
}

.infos h2 {
  padding: 10px 0;
}

.handlers {
  display: flex;
  justify-content: flex-end;
}

.icon {
  cursor: pointer;
}
</style>
